Subject: bug#10813: finder returns too little / info-finder too much

From: Glenn Morris <[email-masked]>
Date: Wed, 15 Feb 2012 02:47:50 -0500

Package: emacs
Version: 24.0.93
Severity: minor

I think this might be deliberate [1], but finder returns less than it used to.

emacs -Q -f finder-list-keywords
Select "abbrev" -> 9 results

Compare with emacs-23.4, where there are 13 results.
Some have been made obsolete, but it seems it does not show things in
the "emacs" package. Eg abbrev.el, macros.el. It seems weird not to list
these files in a category described as "abbreviation handling, typing
shorts, and macros".

Info-finder does not seem to know about this:

emacs -Q -f info-finder
select "abbrev" -> results include a bogus "emacs : abbrev mode commands
for Emacs" that cannot be selected ("Can't find library emacs").

[1] http://lists.gnu.org/archive/html/emacs-devel/2010-08/msg01284.html